
Redmine - Patch #32013

Rounded corners of the main menu

2019-09-04 18:53 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.1.0   

Description

Most UI elements of Redmine are now rounded, it feels like main menu should too.

Related issues:

Related to Redmine - Patch #32015: Rounded corners of "my page" blocks Closed

Related to Redmine - Patch #32014: Rounded corners on table.list elements Closed

Related to Redmine - Patch #32016: Rounded corners on roadmap's progress bar New

Related to Redmine - Patch #32100: Fixed and added roundiness to the "plus" (... New

Associated revisions

Revision 18483 - 2019-09-20 02:57 - Go MAEDA

Rounded corners of the main menu (#32013).

Patch by Antonio McDeal.

Revision 18543 - 2019-09-26 11:37 - Go MAEDA

Don't set border-radius for the items in the dropdown menu (#32013).

Patch by Bernhard Rohloff.

History

#1 - 2019-09-04 19:33 - Anonymous

- File roundedmenu.png added
roundedmenu.png 

#2 - 2019-09-17 10:21 - Bernhard Rohloff

- Related to Patch #32015: Rounded corners of "my page" blocks added

#3 - 2019-09-18 16:56 - Bernhard Rohloff

+1 IMHO it looks very nice and polished. It fits nicely into the design of the other tab menus.

#4 - 2019-09-18 17:10 - Bernhard Rohloff

- Related to Patch #32014: Rounded corners on table.list elements added

#5 - 2019-09-18 17:10 - Bernhard Rohloff

- Related to Patch #32016: Rounded corners on roadmap's progress bar added

#6 - 2019-09-19 17:37 - Go MAEDA

- Target version set to 4.1.0

LGTM. Setting the target version to 4.1.0.

Bernhard Rohloff wrote:

It fits nicely into the design of the other tab menus.
 Indeed. Tabs in the project settings page and the administration page already have rounded corner. Tabs in the project menu should have rounded

corner as well in order to make the appearance consistent.

#7 - 2019-09-20 02:58 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for the nice improvement.

#8 - 2019-09-23 06:52 - Bernhard Rohloff

- File menu-children-border-radius.png added

- File fixed-menu-children-border-radius.diff added

- Status changed from Closed to Reopened

I've discovered a little flaw in the patch. It sets the border radius for the items in the dropdown menu, too. I don't think this was intended by Antonio.

Attached is a patch to fix it. It also refactors the previous patch as the border radius can be set in one place.

 menu-children-border-radius.png 

#9 - 2019-09-23 07:58 - Anonymous

Bernhard Rohloff wrote:

I've discovered a little flaw in the patch. It sets the border radius for the items in the dropdown menu, too. I don't think this was intended by

Antonio. Attached is a patch to fix it. It also refactors the previous patch as the border radius can be set in one place.

 Thanks for the heads up, I already did a fix to this in #32100 but I guess Bernhard's version of this patch here is a bit better, so I will update the

second patch in #32100 to bounce off the new circumstances as well :D

I think we should add #32100 as related to this ticket.

#10 - 2019-09-23 09:23 - Bernhard Rohloff

- Related to Patch #32100: Fixed and added roundiness to the "plus" (+) flyout menu and it's child elements added

#11 - 2019-09-23 09:25 - Bernhard Rohloff

Antonio McDeal wrote:

... I already did a fix to this in #32100 but I guess Bernhard's version of this patch here is a bit better, so I will update the second patch in #32100

to bounce off the new circumstances as well :D

 Oh sorry, I didn't noticed that...

I think we should add #32100 as related to this ticket.

 done ;-)

#12 - 2019-09-26 09:24 - Anonymous

Go, would it be possible to commit Bernhard's fix? I tested it, works well ;-)

#13 - 2019-09-26 11:38 - Go MAEDA

- Status changed from Reopened to Closed

Bernhard Rohloff wrote:

I've discovered a little flaw in the patch. It sets the border radius for the items in the dropdown menu, too.

 Committed the fix fixed-menu-children-border-radius.diff in r18543. Thanks.

Files

rounded-main-menu-corners.patch 1021 Bytes 2019-09-04 Anonymous
fixed-menu-children-border-radius.diff 1.51 KB 2019-09-23 Bernhard Rohloff
